.logo
  max-width 96px

.btn
  &:before
    content ''
    position absolute
    width 0
    height 0
    border-top 28px solid $primary
    border-bottom 28px solid transparent
    border-left 15px solid $primary
    border-right 15px solid transparent
    left 0
    top 0
    z-index -1
    transition left 0.3s

  &:hover:not(:disabled)
    &:before
      left 100%

.header__logo
  margin-right 123px
  position relative
  z-index 1
  height 56px
  display block

  +fbp(md)
    margin-right 50px

  +fbp(sm)
    margin-right 20px
    height 40px

  +fbp(xs)
    margin-right 10px
    height 30px

.hero-section__scroll-icon
  background-image url('/images/mouse_scroll-jetunity.svg')

.form-section__plane
.about-section__plane
  span
    &:before
      background-image url(/images/plane_white-jetunity.svg)

.form-thank__svg
  background-image url(/images/thank-jetunity.svg)

.form-thank--dark
  .form-thank__svg
    background-image url(/images/thank2-jetunity.svg)

  .error-page__line
    &:after
      background-image url(/images/logo_part-jetunity.svg)

.features-section__plane
.hero-section__plane
  span
    &:before
      background-image url(/images/plane_brown-jetunity.svg)

.features-section
  &.is-inview
    +fbp(xsAfter)
      .features-section__plane
        &:before
          transform translateY(-40%)
          opacity 0.35

        span
          transform translateY(-100%)
          transition-delay 0s

.features-section__plane
  position absolute
  width 2px
  height 120%
  transform-origin 0 0
  right 25%
  top 0
  z-index 1
  margin-right 40px
  transform rotate(27deg)

  &:before
    content ''
    position absolute
    width 100%
    height 100%
    left 0
    top 0
    background linear-gradient(to bottom, $primary -40.37%, rgba($primary, 1) -4.41%, rgba($primary, 0.8) 28.02%, rgba($primary, 0.45) 61.16%, rgba($primary, 0) 100%)

  span
    width 100%
    height 100%
    left 0
    top 0
    position absolute

    &:before
      content ''
      width 126px
      height 133px
      position absolute
      background transparent no-repeat 0 0
      background-size contain
      bottom 0
      right -30px

  +fbp(xs)
    display none

  +fbp(xsAfter)
    &:before
      transform translateY(0)
      transition transform 3s, opacity 3s

    span
      transform translateY(100%)
      transition transform 3s

.years-section__img
  &:after
    content ''
    position absolute
    height 2px
    background-color $primary
    right 0
    left 41px
    bottom -73px

  +fbp(sm)
    &:after
      left 18px
      bottom -30px

  +fbp(xsAfter)
    &:after
      transform scale(0, 1)
      transition transform 1s
      transform-origin 0 50%
      transition-delay 1s

    .years-section__img-crop
      &:before
        transform scale(1, 0)
        transition transform 1s
        transform-origin 50% 0

    &.is-inview
      &:after
        transform scale(1, 1)

      .years-section__img-crop
        &:before
          transform scale(1, 1)

.years-section__img-crop
  position absolute
  width 500px
  height 120%
  right 100%
  bottom 0
  background-color $secondary7
  transform rotate(27deg)
  transform-origin 100% 100%
  z-index 1

  &:before
    content ''
    position absolute
    width 2px
    top -81px
    bottom -46px
    background-color $primary
    right -70px

  +fbp(sm)
    &:before
      right -30px
      bottom -18px
      top -12px

  +fbp(xs)
    height 115%

.service--three-img
  .service__text-line
    position absolute
    width 2px
    left -14px
    top -62px
    height calc(100% + 81px)
    transform rotate(27.4deg)
    transform-origin 0 0
    backface-visibility hidden

    &:after
      content ''
      position absolute
      width 100%
      height 100%
      left 0
      top 0
      background-color $primary
      transform-origin 0 0

    span
      position absolute
      width 100vw
      height 2px
      left 0
      bottom 0
      transform-origin 0 0
      transform rotate(-27.4deg)

      &:before
        content ''
        position absolute
        width 100%
        height 100%
        left 0
        top 0
        background-color $primary

    +fbp(sm)
      top -60px

    +fbp(xs)
      display none

  .service__lines
    span
      border-radius 5px
      position absolute

      &:before
        content ''
        position absolute
        left 0
        top 0
        width 100%
        height 100%
        background-color $primary

    span:nth-child(1)
      width 2px
      left 439px
      top 0
      height 563px
      transform-origin 0 0
      transform rotate(27.4deg)

    span:nth-child(2)
      width 2px
      right 120px
      top -116px
      height 695px
      transform-origin 0 0
      transition-delay 1s
      transform rotate(27.4deg)

    span:nth-child(4)
      height 2px
      left 50%
      margin-left 468px
      width 100vw
      top -116px

    +fbp(md)
      span:nth-child(1)
        left 366px
        height 451px

      span:nth-child(2)
        right 137px
        top -45px
        height 500px

      span:nth-child(4)
        margin-left 347px
        width 100vw
        top -45px

    +fbp(sm)
      span:nth-child(1)
        left 258px
        height 339px

      span:nth-child(2)
        right 78px
        top -45px
        height 389px

      span:nth-child(4)
        margin-left 276px
        top -45px

    +fbp(xs)
      display none

  +fbp(xsAfter)
    .service__lines
      span:nth-child(1)
        &:before
          transform scale(1, 0)
          transition all 1s
          transform-origin 50% 0

      span:nth-child(2)
        &:before
          transform scale(1, 0)
          transition all 1s
          transform-origin 50% 0

      span:nth-child(4)
        &:before
          transform scale(0, 1)
          transition all 1s
          transition-delay 1s
          transform-origin 100% 50%

    .service__text-line
      &:after
        transform scale(1, 0)
        transition all 1s
        transition-delay 1s
        transform-origin 50% 0
        backface-visibility hidden

      span:before
        transform scale(0, 1)
        transition all 1s
        transition-delay 2s
        transform-origin 0 50%

    &.is-inview
      .service__lines
        span:nth-child(n)
          &:before
            transform scale(1, 1)

      .service__text-line
        &:after
        span:before
          transform scale(1, 1)

.service--img-left
.service--img-right
  .service__image
    clip-path polygon(28% 0, 100% 0%, 72% 100%, 0% 100%)

  .service__lines
    span
      border-radius 5px
      position absolute

      &:before
        content ''
        position absolute
        left 0
        top 0
        width 100%
        height 100%
        background-color $primary

    span:nth-child(1)
      height 2px
      width 680px
      top 73px
      z-index 1

    span:nth-child(2)
      height 2px
      width 680px
      bottom -80px
      z-index 1

    span:nth-child(3)
      width 2px
      top 73px
      height 570px
      transform-origin 0 0
      transform rotate(27.4deg)
      z-index 1

    span:nth-child(4)
      width 2px
      top 73px
      height 570px
      transform-origin 0 0
      transform rotate(27.4deg)
      z-index 1

  +fbp(md)
    .service__lines
      span:nth-child(1)
        top 30px
        width 555px

      span:nth-child(2)
        bottom -30px
        width 555px

      span:nth-child(3)
        top 30px
        height 451px

      span:nth-child(4)
        top 30px
        height 451px

  +fbp(sm)
    .service__lines
      span:nth-child(1)
        top 30px
        width 413px

      span:nth-child(2)
        bottom -30px
        width 413px

      span:nth-child(3)
        height 337px
        top 30px

      span:nth-child(4)
        top 30px
        height 337px

  +fbp(xs)
    .service__image
      clip-path polygon(105px 0, 100% 0%, 217px 100%, 0% 100%)

    .service__lines
      span:nth-child(1)
        top 10px
        width 216px

      span:nth-child(2)
        bottom -10px
        width 216px

      span:nth-child(3)
        height 225px
        top 10px

      span:nth-child(4)
        top 10px
        height 225px

.service--img-left
  .service__lines
    span:nth-child(1)
      right 0

    span:nth-child(2)
      right 263px

    span:nth-child(3)
      right 0

    span:nth-child(4)
      left -91px

  +fbp(md)
    .service__lines
      span:nth-child(2)
        right 208px

      span:nth-child(4)
        left -165px

  +fbp(sm)
    .service__lines
      span:nth-child(2)
        right 155px

      span:nth-child(4)
        left -103px

  +fbp(xs)
    .service__lines
      span:nth-child(1)
        right auto
        left 100px

      span:nth-child(2)
        right auto
        left -4px

      span:nth-child(3)
        right auto
        left 315px

      span:nth-child(4)
        left 99px

  +fbp(xsAfter)
    .service__lines
      span
        &:nth-child(1)
        &:nth-child(2)
          &:before
            transition all 1s
            transform-origin 0 50%
            transform scale(0, 1)

        &:nth-child(3)
        &:nth-child(4)
          &:before
            transition all 1s
            transform-origin 50% 0
            transform scale(1, 0)

        &:nth-child(2)
        &:nth-child(4)
          transition-delay 1s

    &.is-inview
      .service__lines
        span:nth-child(n)
          &:before
            transform scale(1, 1)

.service--img-right
  .service__lines
    span:nth-child(1)
      left 354px

    span:nth-child(2)
      left 93px

    span:nth-child(3)
      left 354px

    span:nth-child(4)
      right -444px

  +fbp(md)
    .service__lines
      span:nth-child(1)
        left 250px
        width 534px

      span:nth-child(2)
        left 42px
        width 534px

      span:nth-child(3)
        left 249px

      span:nth-child(4)
        right -395px

  +fbp(sm)
    .service__lines
      span:nth-child(1)
        left 190px
        width 407px

      span:nth-child(2)
        left 35px
        width 407px

      span:nth-child(3)
        left 190px

      span:nth-child(4)
        right -287px

  +fbp(xs)
    .service__lines
      span:nth-child(1)
        left 100px
        width 216px

      span:nth-child(2)
        left -4px
        width 216px

      span:nth-child(3)
        left 99px

      span:nth-child(4)
        right auto
        left 315px

  +fbp(xsAfter)
    .service__lines
      span
        &:nth-child(1)
        &:nth-child(2)
          &:before
            transition all 1s
            transform-origin 0 50%
            transform scale(0, 1)

        &:nth-child(3)
        &:nth-child(4)
          &:before
            transition all 1s
            transform-origin 50% 0
            transform scale(1, 0)

        &:nth-child(2)
        &:nth-child(4)
          transition-delay 1s

    &.is-inview
      .service__lines
        span:nth-child(n)
          &:before
            transform scale(1, 1)

.service__images--three-img
  margin-bottom 49px

  .service__image:nth-child(1)
    width 810px
    right calc(50% + 167px)
    clip-path polygon(32% 0, 100% 0%, 68% 100%, 0% 100%)

  .service__image:nth-child(2)
    width 785px
    left 50%
    transform translateX(-50%)
    clip-path polygon(33% 0%, 100% 0%, 67% 100%, 0% 100%)

  .service__image:nth-child(3)
    width 810px
    left calc(50% + 167px)
    clip-path polygon(32% 0%, 100% 0%, 68% 100%, 0% 100%)

  +fbp(md)
    .service__image:nth-child(1)
      width 645px
      right calc(50% + 133px)

    .service__image:nth-child(2)
      width 620px

    .service__image:nth-child(3)
      width 645px
      left calc(50% + 133px)

  +fbp(sm)
    .service__image:nth-child(1)
      width 486px
      right calc(50% + 115px)

    .service__image:nth-child(2)
      width 468px

    .service__image:nth-child(3)
      width 486px
      left calc(50% + 115px)

  +fbp(xs)
    margin-bottom 25px
    max-width 290px

    .service__image:nth-child(1)
      width 150px
      right auto
      left -45px

    .service__image:nth-child(2)
      width 150px

    .service__image:nth-child(3)
      width 150px
      left 185px

.service-preview__text
  clip-path polygon(0 0, 100% 0, 61% 100%, 0% 100%)
  max-width 378px

  &:before
    width 39%
    height 114%
    transform-origin 0 100%
    transform rotate(26.4deg)

  +fbp(xs)
    clip-path none

.features__col
  &:after
    content ''
    position absolute
    width 100vw
    height 1px
    background $primary
    bottom 61px
    right 100%
    opacity 0.4

  &:before
    content ''
    position absolute
    background linear-gradient(to right, $primary -40.37%, rgba($primary, 0.8) -4.41%, rgba($primary, 0.5) 28.02%, rgba($primary, 0.35) 61.16%, rgba($primary, 0) 100%)
    width 60%
    height 1px
    bottom 61px
    left 0
    opacity 0.4

  &:nth-child(2n)
    &:before
      background linear-gradient(to left, $primary -40.37%, rgba($primary, 0.8) -4.41%, rgba($primary, 0.5) 28.02%, rgba($primary, 0.35) 61.16%, rgba($primary, 0) 100%)
      left auto
      right 0

    &:after
      left 100%
      right auto

  &:nth-child(3)
  &:nth-child(4)
    &:before
    &:after
      display none

  +fbp(md)
    &:before
    &:after
      bottom 50px

  +fbp(sm)
    &:before
    &:after
      bottom 35px

  +fbp(xs)
    &:before
    &:after
      display none

.page-header
  +fbp(xsAfter)
    .page-header__img-line
      &:before
        transition all 1s
        transform-origin 50% 100%
        transform scale(1, 0)

    &.is-inview
      .page-header__img-line
        &:before
          transform scale(1, 1)

.page-header__img-line
  position absolute
  width 2px
  height 418px
  left 24px
  bottom 100px
  transform-origin 0 100%
  transform rotate(27deg)

  +fbp(sm)
    bottom 50px
    height 334px
    left 4px

  +fbp(xs)
    display none

  &:before
    content ''
    position absolute
    left 0
    top 0
    width 100%
    height 100%
    background-color $primary

.page-header__img
  img
    clip-path polygon(244px 0%, 100% 0%, 100% 100%, 0% 100%)

  +fbp(sm)
    img
      clip-path polygon(175px 0%, 100% 0%, 100% 100%, 0% 100%)

  +fbp(xs)
    img
      clip-path none

.service-info__right
  .service-info__lines
    span
      position absolute

      &:before
        content ''
        abs100()
        background-color $primary

      &:nth-child(1)
        width 100vw
        height 2px
        top 0
        left -3px

      &:nth-child(2)
        width 2px
        height 115%
        top 0
        left -3px
        transform-origin 0 0
        transform rotate(27.4deg)

  +fbp(md)
    .service-info__lines
      span:nth-child(1)
        left 17px

      span:nth-child(2)
        left 17px

  +fbp(sm)
    .service-info__lines
      span:nth-child(1)
      span:nth-child(2)
        left -20px

  +fbp(xs)
    .service-info__lines
      display none

  +fbp(xsAfter)
    .service-info__lines
      span
        &:nth-child(1)
          &:before
            transition all 1s
            transform-origin 100% 50%
            transform scale(0, 1)

        &:nth-child(2)
          &:before
            transition all 1s
            transform-origin 50% 0
            transform scale(1, 0)
            transition-delay 1s

    &.is-inview
      .service-info__lines
        span
          &:nth-child(1)
          &:nth-child(2)
            &:before
              transform scale(1, 1)

.hero-section
  &:before
    content ''
    position absolute
    width 130px
    height 2px
    background linear-gradient(to left, rgba($white, 0) -0.07%, $secondary 99.92%)
    left 0
    bottom calc(11% + 15px)

    +fbp(xs)
      display none

  &.is-inview
    +fbp(xsAfter)
      .hero-section__plane
        &:before
          transform translateY(-50%)
          opacity 0.35

        span
          transform translateY(-100%)
          transition-delay 0s

.hero-section__plane
  position absolute
  width 2px
  height 120%
  transform-origin 100% 100%
  right 0
  bottom 0
  z-index 1
  margin-right 40px

  &:before
    content ''
    position absolute
    width 100%
    height 100%
    left 0
    top 0
    background linear-gradient(to bottom, $primary -40.37%, rgba($primary, 1) -4.41%, rgba($primary, 0.8) 28.02%, rgba($primary, 0.45) 61.16%, rgba($primary, 0) 100%)

  +fbp(xs)
    display none

  span
    width 100%
    height 100%
    left 0
    top 0
    position absolute

    &:before
      content ''
      width 126px
      height 133px
      position absolute
      background transparent no-repeat 0 0
      background-size contain
      bottom 0
      right -30px

  +fbp(xsAfter)
    &:before
      transform translateY(0)
      transition transform 3s, opacity 3s

    span
      transform translateY(100%)
      transition transform 3s

.hero-section__img
  width 59.2%

.hero-section__img-crop
  position absolute
  width 500px
  height 120%
  right 100%
  bottom 0
  background-color $secondary7
  transform rotate(27deg)
  transform-origin 100% 100%
  z-index 1

  +fbp(xs)
    height 115%

.about-section
  &.is-inview
    +fbp(xsAfter)
      .about-section__plane
        &:before
          transform translateY(-40%)
          opacity 0.35

        span
          transform translateY(-100%)
          transition-delay 0s

.about-section__plane
  position absolute
  width 2px
  height 120%
  transform-origin 0 0
  right -90px
  top 0
  z-index 1
  margin-right 40px
  transform rotate(27deg)

  &:before
    content ''
    position absolute
    width 100%
    height 100%
    left 0
    top 0
    background linear-gradient(to bottom, $secondary7 8.63%, rgba($secondary7, 1) 19.67%, rgba($secondary7, 0.8) 30.71%, rgba($secondary7, 0.25) 61.63%, rgba($secondary7, 0) 93.42%)

  span
    width 100%
    height 100%
    left 0
    top 0
    position absolute

    &:before
      content ''
      width 126px
      height 133px
      position absolute
      background transparent no-repeat 0 0
      background-size contain
      bottom 0
      right -30px

  +fbp(xs)
    display none

  +fbp(xsAfter)
    &:before
      transform translateY(0)
      transition transform 3s, opacity 3s

    span
      transform translateY(100%)
      transition transform 3s

.form-section__plane
  &.is-inview
    +fbp(xsAfter)
      .form-section__plane
        &:before
          transform translateY(-40%)
          opacity 0.35

        span
          transform translateY(-100%)
          transition-delay 0s

.form-section__plane
  position absolute
  width 2px
  height 120%
  transform-origin 0 0
  right -40px
  top 0
  z-index 1
  margin-right 40px
  transform rotate(27deg)

  &:before
    content ''
    position absolute
    width 100%
    height 100%
    left 0
    top 0
    background linear-gradient(to bottom, $secondary7 8.63%, rgba($secondary7, 1) 19.67%, rgba($secondary7, 0.8) 30.71%, rgba($secondary7, 0.25) 61.63%, rgba($secondary7, 0) 93.42%)

  span
    width 100%
    height 100%
    left 0
    top 0
    position absolute

    &:before
      content ''
      width 126px
      height 133px
      position absolute
      background transparent no-repeat 0 0
      background-size contain
      bottom 0
      right -30px

  +fbp(xs)
    display none

  +fbp(xsAfter)
    &:before
      transform translateY(0)
      transition transform 3s, opacity 3s

    span
      transform translateY(100%)
      transition transform 3s

.about-section__images
  .swiper-slide
    &:before
      content ''
      abs100()
      background-color $secondary
      transition all 0.3s
      opacity 0
      z-index 1

  +fbp(xsAfter)
    .swiper-slide-duplicate-prev
      clip-path polygon(40% 0, 100% 0, 100% 100%, 0% 100%)
      position relative
      left -110px

      &:before
        opacity 0.9

.partners-section__list
  li
    span
      &:before
        border-top 1.444444em solid $primary
        border-bottom 1.444444em solid transparent
        border-left 1.166667em solid $primary
        border-right 1.166667em solid transparent

.partners-section__img
  +fbp(xsAfter)
    .partners-section__img-crop
      &:before
        transform scale(1, 0)
        transition transform 1s
        transform-origin 50% 0

    &.is-inview
      .partners-section__img-crop
        &:before
          transform scale(1, 1)

.partners-section__img
  left 48%

  &:after
    content ''
    position absolute
    height 2px
    background-color $primary
    right 0
    left 41px
    bottom -73px

  +fbp(xsAfter)
    &:after
      transform scale(0, 1)
      transition transform 1s
      transform-origin 0 50%
      transition-delay 1s

    &.is-inview
      &:after
        transform scale(1, 1)

.partners-section__img-crop
  position absolute
  width 500px
  height 120%
  right 100%
  bottom 0
  background-color $secondary7
  transform rotate(27deg)
  transform-origin 100% 100%
  z-index 1

  &:before
    content ''
    position absolute
    width 2px
    top -81px
    bottom -46px
    background-color $primary
    right -70px

  +fbp(xs)
    height 115%

    &:before
      display none

.contacts-map
  +fbp(xsAfter)
    .contacts-map__lines
      span
        &:nth-child(1)
          &:before
            transition all 1s
            transform-origin 0% 50%
            transform scale(0, 1)

        &:nth-child(2)
          &:before
            transition all 1s
            transform-origin 50% 100%
            transform scale(1, 0)

    &.is-inview
      .contacts-map__lines
        span
          &:nth-child(1)
            &:before
              transform scale(1, 1)
              transition-delay 1s

          &:nth-child(2)
            &:before
              transform scale(1, 1)

.contacts-map__lines
  span
    position absolute
    z-index 999

    &:before
      content ''
      position absolute
      width 100%
      height 100%
      left 0
      top 0
      background-color $primary

  span:nth-child(1)
    left 390px
    top -30px
    height 2px
    right 0

  span:nth-child(2)
    width 2px
    height 763px
    bottom 0
    left 35px
    transform-origin 0 100%
    transform rotate(27.7deg)

  +fbp(sm)
    span:nth-child(1)
      left 314px

    span:nth-child(2)
      height 599px
      left 35px

  +fbp(xs)
    span:nth-child(1)
    span:nth-child(2)
      display none

.map-container
  left calc(50% - 430px)

  +fbp(sm)
    left calc(50% - 230px)

  +fbp(xs)
    width calc(100% + 30px)
    left 0

  // clip-path polygon(340px 0%, 100% 0%, 100% 100%, 0% 100%)

  // +fbp(sm)
  //   clip-path polygon(260px 0%, 100% 0%, 100% 100%, 0% 100%)

  // +fbp(xs)
  //   clip-path none

@media only screen and ( min-width: 980px ) {
   .gm-style-moc {
     opacity: 0 !important;
  }
}

.vue-map-container {
  clip-path polygon(340px 0%, 100% 0%, 100% 100%, 0% 100%)

  @media( max-width 1024px) {
    clip-path polygon(260px 0%, 100% 0%, 100% 100%, 0% 100%)
  }

  @media( max-width 768px) {
    clip-path none
  }
}
